# Class AwtJmolPopup

java.lang.Object
org.jmol.popup.GenericPopup
org.jmol.popup.JmolGenericPopup
org.jmol.popup.JmolPopup
org.jmol.awt.AwtJmolPopup

All Implemented Interfaces:
  `GenericMenuInterface`

public class AwtJmolPopup extends JmolPopup

## Field Summary

### Fields inherited from class JmolPopup

`modelIndex, modelInfo, Special, UPDATE_ALL, UPDATE_CONFIG, UPDATE_NEVER, UPDATE_SHOW, updateMode`

### Fields inherited from class JmolGenericPopup

`frankPopup, menuText, nFrankList, vwr`

### Fields inherited from class GenericPopup

`allowSignedFeatures, buttonGroup, currentMenuItemId, helper, htCheckbox, htMenus, isApplet, isJS, isSigned, isTainted, isWebGL, menuName, popupMenu, strMenuStructure, thisPopup, thisx, thisy, updatingForShow`

## Constructor Summary

Constructors
Constructor
Description
`AwtJmolPopup()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addMenu(String id, String item, SC subMenu, String label, PopupResource popupResourceBundle)`
`protected Object`
`getImageIcon(String fileName)`
`String`
`getUnknownCheckBoxScriptToRun(SC item, String name, String what, boolean TF)`
`void`
`menuFocusCallback(String name, String actionCommand, boolean b)`
//// run time event-driven methods
`protected void`
`menuShowPopup(SC popup, int x, int y)`
`protected void`
`updateAwtMenus(String item)`

### Methods inherited from class JmolPopup

`appCheckItem, appCheckSpecialMenu, appGetMenuAsString, appRestorePopupMenu, appUpdateForShow, appUpdateSpecialCheckBoxValue, getBundle, getScriptForCallback, getSpecialLabel, jpiDispose, jpiUpdateComputedMenus, showFrankMenu, updateAboutSubmenu, updateConfigurationComputedMenu, updateElementsComputedMenu, updateFileMenu, updateFileTypeDependentMenus, updateFRAMESbyModelComputedMenu, updateHeteroComputedMenu, updateLanguageSubmenu, updateMenus, updateModelSetComputedMenu, updatePDBResidueComputedMenus, updateSceneComputedMenu, updateSelectMenu, updateSpecialMenuItem, updateSpectraMenu, updateSurfMoComputedMenu, updateSYMMETRYComputedMenus, updateSYMMETRYSelectComputedMenu, updateSYMMETRYShowComputedMenu`

### Methods inherited from class JmolGenericPopup

`appFixLabel, appGetBooleanProperty, appRunScript, appRunSpecialCheckBox, initialize, jpiGetMenuAsObject, jpiInitialize, jpiShow`

### Methods inherited from class GenericPopup

`addMenuItem, addMenuItems, convertToMegabytes, doMenuCheckBoxCallback, doMenuClickCallback, getEntryIcon, initSwing, jpiGetMenuAsString, menuAddSeparator, menuAddSubMenu, menuCheckBoxCallback, menuClickCallback, menuCreateCheckboxItem, menuCreateItem, menuEnable, menuGetId, menuGetListPosition, menuNewSubMenu, menuRemoveAll, menuSetAutoscrolls, menuSetLabel, setText, show, updateButton, updateSignedAppletItems`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AwtJmolPopup

public AwtJmolPopup()

## Method Details

### addMenu

protected void addMenu(String id, String item, SC subMenu, String label, PopupResource popupResourceBundle)

Overrides:
  `addMenu` in class `GenericPopup`

### updateAwtMenus

protected void updateAwtMenus(String item)

### menuShowPopup

protected void menuShowPopup(SC popup, int x, int y)

Specified by:
  `menuShowPopup` in class `GenericPopup`

### getUnknownCheckBoxScriptToRun

public String getUnknownCheckBoxScriptToRun(SC item, String name, String what, boolean TF)

Specified by:
  `getUnknownCheckBoxScriptToRun` in class `GenericPopup`

### getImageIcon

protected Object getImageIcon(String fileName)

Specified by:
  `getImageIcon` in class `GenericPopup`

### menuFocusCallback

public void menuFocusCallback(String name, String actionCommand, boolean b)
Description copied from class: `GenericPopup`
//// run time event-driven methods

Specified by:
  `menuFocusCallback` in class `GenericPopup`